function [line_id] = get_line_id(fls, energy)
    energies = [fls.xraydb.lines.energy];
    index = find(abs(energies - energy) == min(abs(energies - energy)), 1);
    line_id = sprintf('%s %s %2.2fkeV', fls.xraydb.lines(index).element,...
                               fls.xraydb.lines(index).line,...
                               fls.xraydb.lines(index).energy);
end