function [fls] = unpack_xraydb(fls)
    [edges, lines] = extract_structure(fls);
    fls.xraydb.edges = edges;
    fls.xraydb.lines = lines;
    
    function [edges, lines] = extract_structure(fls)
        load(fls.paths.xraydb);
        edges = table2struct(edges);
        lines = table2struct(lines);
    end
end